Debian 9 Stretch 64bits

Logs

====== Attempt #1

-----> Fetching repository

Cloning into '/tmp/d20211004-6-1l9pa4l/input'...

Checking out files: 29% (3239/11065) Checking out files: 30% (3320/11065) Checking out files: 31% (3431/11065) Checking out files: 32% (3541/11065) Checking out files: 33% (3652/11065) Checking out files: 34% (3763/11065) Checking out files: 35% (3873/11065) Checking out files: 36% (3984/11065) Checking out files: 37% (4095/11065) Checking out files: 38% (4205/11065) Checking out files: 39% (4316/11065) Checking out files: 40% (4426/11065) Checking out files: 41% (4537/11065) Checking out files: 42% (4648/11065) Checking out files: 43% (4758/11065) Checking out files: 44% (4869/11065) Checking out files: 45% (4980/11065) Checking out files: 46% (5090/11065) Checking out files: 47% (5201/11065) Checking out files: 48% (5312/11065) Checking out files: 49% (5422/11065) Checking out files: 50% (5533/11065) Checking out files: 51% (5644/11065) Checking out files: 52% (5754/11065) Checking out files: 53% (5865/11065) Checking out files: 54% (5976/11065) Checking out files: 55% (6086/11065) Checking out files: 56% (6197/11065) Checking out files: 57% (6308/11065) Checking out files: 58% (6418/11065) Checking out files: 59% (6529/11065) Checking out files: 60% (6639/11065) Checking out files: 61% (6750/11065) Checking out files: 62% (6861/11065) Checking out files: 63% (6971/11065) Checking out files: 64% (7082/11065) Checking out files: 65% (7193/11065) Checking out files: 66% (7303/11065) Checking out files: 67% (7414/11065) Checking out files: 68% (7525/11065) Checking out files: 69% (7635/11065) Checking out files: 70% (7746/11065) Checking out files: 71% (7857/11065) Checking out files: 72% (7967/11065) Checking out files: 73% (8078/11065) Checking out files: 74% (8189/11065) Checking out files: 75% (8299/11065) Checking out files: 76% (8410/11065) Checking out files: 77% (8521/11065) Checking out files: 78% (8631/11065) Checking out files: 79% (8742/11065) Checking out files: 80% (8852/11065) Checking out files: 81% (8963/11065) Checking out files: 82% (9074/11065) Checking out files: 83% (9184/11065) Checking out files: 84% (9295/11065) Checking out files: 85% (9406/11065) Checking out files: 86% (9516/11065) Checking out files: 87% (9627/11065) Checking out files: 88% (9738/11065) Checking out files: 89% (9848/11065) Checking out files: 90% (9959/11065) Checking out files: 91% (10070/11065) Checking out files: 92% (10180/11065) Checking out files: 93% (10291/11065) Checking out files: 94% (10402/11065) Checking out files: 95% (10512/11065) Checking out files: 96% (10623/11065) Checking out files: 97% (10734/11065) Checking out files: 98% (10844/11065) Checking out files: 99% (10955/11065) Checking out files: 100% (11065/11065) Checking out files: 100% (11065/11065), done.

-----> Setting up package repository...

-----> Starting packaging process

-----> Starting service postgres...

-----> Additional environment variables

UUID=78416899-daff-47df-af6f-5b98572383b5

DATABASE_URL=postgres://postgres:NSPvOJrofSyjt1Xh@164.132.201.42:49362/postgres

DATABASE_HOST=164.132.201.42

DATABASE_PORT=49362

HOME=/home/pkgr

-----> Found valid cache

-----> Restoring cache...

-----> Fetching pkgr a814586c359bb9639023b5d09bf75ada4b949796...

-----> Starting packaging process...

-----> Installing missing build dependencies: libsqlite3-dev

-----> [wizard] adding legacy-installer wizard (https://github.com/pkgr/addon-legacy-installer#master)

-----> [wizard] adding openproject-edition wizard (/tmp/d20211004-49-w11ipx/opt/openproject/packaging/addons/openproject-edition#)

-----> [wizard] adding postgres wizard (https://github.com/opf/addon-postgres#pg13)

-----> [wizard] adding apache2 wizard (https://github.com/pkgr/addon-apache2#master)

-----> [wizard] adding repositories wizard (/tmp/d20211004-49-w11ipx/opt/openproject/packaging/addons/repositories#)

-----> [wizard] adding smtp wizard (https://github.com/pkgr/addon-smtp#master)

-----> [wizard] adding memcached wizard (https://github.com/pkgr/addon-memcached#master)

-----> [wizard] adding openproject wizard (/tmp/d20211004-49-w11ipx/opt/openproject/packaging/addons/openproject#)

-----> Fetching buildpack https://github.com/opf/heroku-buildpack-multi.git at master

-----> Running hook: "packaging/setup"

-----> Multipack app

=====> Downloading Buildpack: https://github.com/heroku/heroku-buildpack-nodejs.git

=====> Detected Framework: Node.js

-----> Creating runtime environment

NPM_CONFIG_LOGLEVEL=error

NPM_CONFIG_PRODUCTION=false

NODE_ENV=production

NODE_MODULES_CACHE=true

NODE_VERBOSE=false

-----> Installing binaries

engines.node (package.json): ~14.17.0

engines.npm (package.json): ~6.14.13

Resolving node version ~14.17.0...

Downloading and installing node 14.17.6...

Bootstrapping npm ~6.14.13 (replacing 6.14.15)...

npm ~6.14.13 installed

-----> Restoring cache

- node_modules (not cached - skipping)

-----> Installing dependencies

Installing node modules (package.json)

> openproject@0.1.0 postinstall /tmp/d20211004-49-w11ipx/opt/openproject

> cd frontend && npm install

> nice-napi@1.0.2 install /tmp/d20211004-49-w11ipx/opt/openproject/frontend/node_modules/nice-napi

> node-gyp-build

> core-js@2.6.12 postinstall /tmp/d20211004-49-w11ipx/opt/openproject/frontend/node_modules/babel-runtime/node_modules/core-js

> node -e "try{require('./postinstall')}catch(e){}"

> core-js@3.16.0 postinstall /tmp/d20211004-49-w11ipx/opt/openproject/frontend/node_modules/core-js

> node -e "try{require('./postinstall')}catch(e){}"

> core-js-pure@3.9.1 postinstall /tmp/d20211004-49-w11ipx/opt/openproject/frontend/node_modules/core-js-pure

> node -e "try{require('./postinstall')}catch(e){}"

> esbuild@0.12.24 postinstall /tmp/d20211004-49-w11ipx/opt/openproject/frontend/node_modules/esbuild

> node install.js

> core-js-pure@3.15.2 postinstall /tmp/d20211004-49-w11ipx/opt/openproject/frontend/node_modules/swagger-ui/node_modules/core-js-pure

> node -e "try{require('./postinstall')}catch(e){}"

> @angular/cli@12.2.6 postinstall /tmp/d20211004-49-w11ipx/opt/openproject/frontend/node_modules/@angular/cli

> node ./bin/postinstall/script.js

added 2068 packages from 2623 contributors and audited 2084 packages in 49.887s

171 packages are looking for funding

run `npm fund` for details

found 137 vulnerabilities (2 low, 60 moderate, 75 high)

run `npm audit fix` to fix them, or `npm audit` for details

up to date in 51.331s

found 0 vulnerabilities

-----> Build

-----> Pruning devDependencies

Skipping because NPM_CONFIG_PRODUCTION is 'false'

-----> Caching build

- node_modules (nothing to cache)

-----> Build succeeded!

=====> Downloading Buildpack: https://github.com/pkgr/heroku-buildpack-ruby.git

=====> Detected Framework: Ruby

-----> Installing bundler 2.0.2

-----> Removing BUNDLED WITH version in the Gemfile.lock

-----> Compiling Ruby/Rails

-----> Using Ruby version: ruby-2.7.4

cp: '/my/cache/vendor/bundle/.' and '/my/cache/vendor/bundle/.' are the same file

-----> Installing dependencies using bundler 2.0.2

Running: bundle install --without development:test --path vendor/bundle --binstubs vendor/bundle/bin -j4 --deployment

[DEPRECATED] The `--deployment` flag is deprecated because it relies on being remembered across bundler invocations, which bundler will no longer do in future versions. Instead please use `bundle config set deployment 'true'`, and stop using this flag

[DEPRECATED] The `--path` flag is deprecated because it relies on being remembered across bundler invocations, which bundler will no longer do in future versions. Instead please use `bundle config set path 'vendor/bundle'`, and stop using this flag

[DEPRECATED] The `--without` flag is deprecated because it relies on being remembered across bundler invocations, which bundler will no longer do in future versions. Instead please use `bundle config set without 'development:test'`, and stop using this flag

[DEPRECATED] The --binstubs option will be removed in favor of `bundle binstubs`

Using rake 13.0.6

Using Ascii85 1.1.0

Using concurrent-ruby 1.1.9

Using i18n 1.8.10

Using minitest 5.14.4

Using tzinfo 2.0.4

Using zeitwerk 2.4.2

Using activesupport 6.1.4.1

Using builder 3.2.4

Using erubi 1.10.0

Using mini_portile2 2.6.1

Using racc 1.5.2

Using nokogiri 1.12.5 (x86_64-linux)

Using rails-dom-testing 2.0.3

Using crass 1.0.6

Using loofah 2.12.0

Using rails-html-sanitizer 1.4.2

Using actionview 6.1.4.1

Using rack 2.2.3

Using rack-test 1.1.0

Using actionpack 6.1.4.1

Using nio4r 2.5.8

Using websocket-extensions 0.1.5

Using websocket-driver 0.7.5

Using actioncable 6.1.4.1

Using globalid 0.5.2

Using activejob 6.1.4.1

Using activemodel 6.1.4.1

Using activerecord 6.1.4.1

Using marcel 1.0.2

Using mini_mime 1.1.1

Using activestorage 6.1.4.1

Using mail 2.7.1

Using actionmailbox 6.1.4.1

Using actionmailer 6.1.4.1

Using method_source 1.0.0

Using thor 1.1.0

Using railties 6.1.4.1

Using actionpack-xml_parser 2.0.1

Using actiontext 6.1.4.1

Using activemodel-serializers-xml 1.0.2

Using activerecord-import 1.2.0

Using activerecord-nulldb-adapter 0.7.0

Using multi_json 1.15.0

Using activerecord-session_store 2.0.0

Using acts_as_list 1.0.4

Using acts_as_tree 2.9.1

Using public_suffix 4.0.6

Using addressable 2.8.0

Using aes_key_wrap 1.1.0

Using afm 0.2.2

Using rbtree3 0.6.0

Using airbrake-ruby 6.0.0

Using airbrake 12.0.0

Using attr_required 1.0.1

Using auto_strip_attributes 2.6.0

Using awesome_nested_set 3.4.0

Using aws-eventstream 1.2.0

Using aws-partitions 1.506.0

Using aws-sigv4 1.4.0

Using jmespath 1.4.0

Using aws-sdk-core 3.121.1

Using aws-sdk-kms 1.48.0

Using aws-sdk-s3 1.103.0

Using aws-sdk-sns 1.45.0

Using bcrypt 3.1.16

Using bindata 2.4.10

Using msgpack 1.4.2

Using bootsnap 1.9.1

Using browser 5.3.1

Using budgets 1.0.0 from source at `modules/budgets`

Using bundler 2.1.4

Using mime-types-data 3.2021.0901

Using mime-types 3.3.1

Using ssrf_filter 1.0.7

Using carrierwave 1.3.2

Using excon 0.85.0

Using formatador 0.3.0

Using fog-core 2.2.4

Using fog-json 1.2.0

Using fog-xml 0.1.3

Using ipaddress 0.8.3

Using fog-aws 3.12.0

Using carrierwave_direct 2.1.0

Using declarative-option 0.1.0

Using declarative-builder 0.1.0

Using tilt 2.0.10

Using uber 0.1.0

Using cells 4.1.7

Using temple 0.8.2

Using erbse 0.1.4

Using cells-erb 0.1.0

Using cells-rails 0.0.9

Using commonmarker 0.23.2

Using costs 1.0.0 from source at `modules/costs`

Using http-accept 1.7.0

Using unf_ext 0.0.8

Using unf 0.1.4

Using domain_name 0.5.20190701

Using http-cookie 1.0.4

Using netrc 0.11.0

Using rest-client 2.1.0

Using crowdin-api 0.6.0

Using daemons 1.4.1

Using dalli 2.7.11

Using grids 1.0.0 from source at `modules/grids`

Using dashboards 1.0.0 from source at `modules/dashboards`

Using date_validator 0.12.0

Using html-pipeline 2.14.0

Using deckar01-task_list 2.3.2

Using declarative 0.0.20

Using delayed_job 4.1.9

Using et-orbi 1.2.5

Using raabro 1.4.0

Using fugit 1.5.2

Using delayed_cron_job 0.8.0

Using delayed_job_active_record 4.1.6

Using representable 3.0.4

Using disposable 0.4.7

Using doorkeeper 5.5.3

Using dry-core 0.7.1

Using dry-configurable 0.13.0

Using dry-container 0.9.0

Using dry-inflector 0.2.1

Using dry-logic 1.2.0

Using dry-types 1.5.1

Using regexp_parser 2.1.1

Using ecma-re-validator 0.3.0

Using email_validator 2.2.3

Using escape_utils 1.2.1

Using faraday-em_http 1.0.0

Using faraday-em_synchrony 1.0.0

Using faraday-excon 1.1.0

Using faraday-httpclient 1.0.1

Using faraday-net_http 1.0.1

Using faraday-net_http_persistent 1.2.0

Using faraday-patron 1.0.0

Using faraday-rack 1.0.0

Using multipart-post 2.1.1

Using ruby2_keywords 0.0.5

Using faraday 1.8.0

Using fastimage 2.2.5

Using ffi 1.15.4

Using friendly_id 5.4.2

Using get_process_mem 0.2.7

Using request_store 1.5.0

Using gon 6.4.0

Using mustermann 1.1.1

Using mustermann-grape 1.0.1

Using rack-accept 0.4.5

Using grape 1.5.3

Using grape_logging 1.8.4

Using gravatar_image_tag 1.2.0

Using hana 1.3.7

Using hashery 2.1.2

Using hashie 3.6.0

Using htmldiff 0.0.1

Using httpclient 2.8.3

Using i18n-js 3.9.0

Using ice_cube 0.16.3

Using icalendar 2.7.1

Using iso8601 0.13.0

Using json 2.5.1

Using json-jwt 1.13.0

Using uri_template 0.7.0

Using json_schemer 0.2.18

Using kgio 2.11.4

Using omniauth 1.9.0 from https://github.com/opf/omniauth (at fe862f9@fe862f9)

Using rack-oauth2 1.18.0

Using swd 1.2.0

Using validate_email 0.1.6

Using validate_url 1.0.13

Using webfinger 1.1.0

Using openid_connect 1.1.8

Using omniauth-openid-connect 0.4.0 from https://github.com/opf/omniauth-openid-connect.git (at e1173e6@e1173e6)

Using sprockets 3.7.2

Using sprockets-rails 3.2.2

Using rails 6.1.4.1

Using lobby_boy 0.1.3

Using lograge 0.11.2

Using messagebird-rest 1.4.2

Using meta-tags 2.15.0

Using mini_magick 4.11.0

Using mixlib-shellout 2.1.0

Using my_page 1.0.0 from source at `modules/my_page`

Using net-ldap 0.17.0

Using oj 3.13.7

Using okcomputer 1.18.4

Using omniauth-openid_connect-providers 0.2.0 from https://github.com/opf/omniauth-openid_connect-providers.git (at a6c0c3e@a6c0c3e)

Using rexml 3.2.5

Using ruby-saml 1.13.0

Using omniauth-saml 1.10.3

Using openproject-auth_plugins 1.0.0 from source at `modules/auth_plugins`

Using openproject-auth_saml 1.0.0 from source at `modules/auth_saml`

Using openproject-avatars 1.0.0 from source at `modules/avatars`

Using ruby-rc4 0.1.5

Using ttfunk 1.7.0

Using pdf-reader 2.5.0

Using pdf-inspector 1.3.0

Using pdf-core 0.9.0

Using prawn 2.4.0

Using openproject-pdf_export 1.0.0 from source at `modules/pdf_export`

Using openproject-backlogs 1.0.0 from source at `modules/backlogs`

Using rubyzip 2.3.2

Using openproject-bim 1.0.0 from source at `modules/bim`

Using openproject-boards 1.0.0 from source at `modules/boards`

Using openproject-documents 1.0.0 from source at `modules/documents`

Using openproject-webhooks 1.0.0 from source at `modules/webhooks`

Using openproject-github_integration 1.0.0 from source at `modules/github_integration`

Using openproject-job_status 1.0.0 from source at `modules/job_status`

Using openproject-ldap_groups 1.0.0 from source at `modules/ldap_groups`

Using openproject-meeting 1.0.0 from source at `modules/meeting`

Using openproject-openid_connect 1.0.0 from source at `modules/openid_connect`

Using recaptcha 5.8.1

Using openproject-recaptcha 1.0.0 from source at `modules/recaptcha`

Using openproject-reporting 1.0.0 from source at `modules/reporting`

Using openproject-token 2.2.0

Using openproject-translations 7.4.0 from https://github.com/opf/openproject-translations.git (at dev@6ce2c62)

Using rotp 6.2.0

Using openproject-two_factor_authentication 1.0.0 from source at `modules/two_factor_authentication`

Using ruby-ole 1.2.12.2

Using spreadsheet 1.3.0

Using openproject-xls_export 1.0.0 from source at `modules/xls_export`

Using overviews 1.0.0 from source at `modules/overviews`

Using pg 1.2.3

Using plaintext 0.3.4

Using posix-spawn 0.3.15

Using prawn-table 0.2.2

Using prawn-markup 0.3.2

Using puma 5.5.0

Using rack-attack 6.5.0

Using rack-cors 1.1.1

Using rack-protection 2.1.0

Using rails-i18n 6.0.0

Using raindrops 0.19.2

Using rdoc 6.3.2

Using responders 3.0.1

Using rinku 2.0.6

Using roar 1.1.0

Using rouge 3.26.1

Using ruby-duration 3.2.3

Using ruby-progressbar 1.11.0

Using structured_warnings 0.4.0

Using rubytree 1.0.0

Using sanitize 6.0.0

Using secure_headers 6.3.3

Using semantic 1.6.1

Using sentry-ruby-core 4.7.3

Using sentry-delayed_job 4.7.3

Using sentry-rails 4.7.3

Using sentry-ruby 4.7.3

Using stringex 2.8.5

Using svg-graph 2.2.1

Using sys-filesystem 1.4.2

Using typed_dag 2.0.2

Using tzinfo-data 1.2021.2

Using unicorn 6.0.0

Using unicorn-worker-killer 0.4.5

Using warden 1.2.9

Using warden-basic_auth 0.2.1

Using will_paginate 3.3.1

Using with_advisory_lock 4.6.0

Bundle complete! 166 Gemfile dependencies, 262 gems now installed.

Gems in the groups development and test were not installed.

Bundled gems are installed into `./vendor/bundle`

Removing bundler (2.0.2)

Bundle completed (0.93s)

Cleaning up the bundler cache.

-----> Detecting rake tasks

-----> Preparing app for Rails asset pipeline

Running: rake assets:precompile

rake aborted!

ActiveRecord::ConnectionNotEstablished: SCRAM authentication requires libpq version 10 or above

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activerecord-6.1.4.1/lib/active_record/connection_adapters/postgresql_adapter.rb:83:in `rescue in new_client'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activerecord-6.1.4.1/lib/active_record/connection_adapters/postgresql_adapter.rb:77:in `new_client'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activerecord-6.1.4.1/lib/active_record/connection_adapters/postgresql_adapter.rb:37:in `postgresql_connection'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activerecord-6.1.4.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:882:in `public_send'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activerecord-6.1.4.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:882:in `new_connection'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activerecord-6.1.4.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:926:in `checkout_new_connection'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activerecord-6.1.4.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:905:in `try_to_checkout_new_connection'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activerecord-6.1.4.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:866:in `acquire_connection'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activerecord-6.1.4.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:588:in `checkout'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activerecord-6.1.4.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:428:in `connection'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activerecord-6.1.4.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:1128:in `retrieve_connection'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activerecord-6.1.4.1/lib/active_record/connection_handling.rb:327:in `retrieve_connection'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activerecord-6.1.4.1/lib/active_record/connection_handling.rb:283:in `connection'

/tmp/d20211004-49-w11ipx/opt/openproject/lib/open_project/null_db_fallback.rb:35:in `fallback'

/tmp/d20211004-49-w11ipx/opt/openproject/config/initializers/05-null_db_fallback.rb:36:in `<top (required)>'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activesupport-6.1.4.1/lib/active_support/dependencies.rb:326:in `load'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activesupport-6.1.4.1/lib/active_support/dependencies.rb:326:in `block in load'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activesupport-6.1.4.1/lib/active_support/dependencies.rb:299:in `load_dependency'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activesupport-6.1.4.1/lib/active_support/dependencies.rb:326:in `load'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/engine.rb:681:in `block in load_config_initializer'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activesupport-6.1.4.1/lib/active_support/notifications.rb:205:in `instrument'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/engine.rb:680:in `load_config_initializer'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/engine.rb:634:in `block (2 levels) in <class:Engine>'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/engine.rb:633:in `each'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/engine.rb:633:in `block in <class:Engine>'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/initializable.rb:32:in `instance_exec'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/initializable.rb:32:in `run'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/initializable.rb:61:in `block in run_initializers'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/initializable.rb:50:in `each'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/initializable.rb:50:in `tsort_each_child'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/initializable.rb:60:in `run_initializers'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/application.rb:391:in `initialize!'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/railtie.rb:207:in `public_send'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/railtie.rb:207:in `method_missing'

/tmp/d20211004-49-w11ipx/opt/openproject/config/environment.rb:34:in `<top (required)>'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/zeitwerk-2.4.2/lib/zeitwerk/kernel.rb:34:in `require'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/zeitwerk-2.4.2/lib/zeitwerk/kernel.rb:34:in `require'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activesupport-6.1.4.1/lib/active_support/dependencies.rb:332:in `block in require'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activesupport-6.1.4.1/lib/active_support/dependencies.rb:299:in `load_dependency'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activesupport-6.1.4.1/lib/active_support/dependencies.rb:332:in `require'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/application.rb:367:in `require_environment!'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/application.rb:533:in `block in run_tasks_blocks'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/rake-13.0.6/exe/rake:27:in `<top (required)>'

Caused by:

PG::ConnectionBad: SCRAM authentication requires libpq version 10 or above

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/pg-1.2.3/lib/pg.rb:58:in `initialize'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/pg-1.2.3/lib/pg.rb:58:in `new'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/pg-1.2.3/lib/pg.rb:58:in `connect'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activerecord-6.1.4.1/lib/active_record/connection_adapters/postgresql_adapter.rb:78:in `new_client'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activerecord-6.1.4.1/lib/active_record/connection_adapters/postgresql_adapter.rb:37:in `postgresql_connection'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activerecord-6.1.4.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:882:in `public_send'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activerecord-6.1.4.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:882:in `new_connection'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activerecord-6.1.4.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:926:in `checkout_new_connection'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activerecord-6.1.4.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:905:in `try_to_checkout_new_connection'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activerecord-6.1.4.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:866:in `acquire_connection'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activerecord-6.1.4.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:588:in `checkout'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activerecord-6.1.4.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:428:in `connection'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activerecord-6.1.4.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:1128:in `retrieve_connection'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activerecord-6.1.4.1/lib/active_record/connection_handling.rb:327:in `retrieve_connection'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activerecord-6.1.4.1/lib/active_record/connection_handling.rb:283:in `connection'

/tmp/d20211004-49-w11ipx/opt/openproject/lib/open_project/null_db_fallback.rb:35:in `fallback'

/tmp/d20211004-49-w11ipx/opt/openproject/config/initializers/05-null_db_fallback.rb:36:in `<top (required)>'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activesupport-6.1.4.1/lib/active_support/dependencies.rb:326:in `load'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activesupport-6.1.4.1/lib/active_support/dependencies.rb:326:in `block in load'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activesupport-6.1.4.1/lib/active_support/dependencies.rb:299:in `load_dependency'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activesupport-6.1.4.1/lib/active_support/dependencies.rb:326:in `load'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/engine.rb:681:in `block in load_config_initializer'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activesupport-6.1.4.1/lib/active_support/notifications.rb:205:in `instrument'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/engine.rb:680:in `load_config_initializer'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/engine.rb:634:in `block (2 levels) in <class:Engine>'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/engine.rb:633:in `each'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/engine.rb:633:in `block in <class:Engine>'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/initializable.rb:32:in `instance_exec'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/initializable.rb:32:in `run'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/initializable.rb:61:in `block in run_initializers'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/initializable.rb:50:in `each'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/initializable.rb:50:in `tsort_each_child'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/initializable.rb:60:in `run_initializers'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/application.rb:391:in `initialize!'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/railtie.rb:207:in `public_send'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/railtie.rb:207:in `method_missing'

/tmp/d20211004-49-w11ipx/opt/openproject/config/environment.rb:34:in `<top (required)>'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/zeitwerk-2.4.2/lib/zeitwerk/kernel.rb:34:in `require'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/zeitwerk-2.4.2/lib/zeitwerk/kernel.rb:34:in `require'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activesupport-6.1.4.1/lib/active_support/dependencies.rb:332:in `block in require'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activesupport-6.1.4.1/lib/active_support/dependencies.rb:299:in `load_dependency'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/activesupport-6.1.4.1/lib/active_support/dependencies.rb:332:in `require'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/application.rb:367:in `require_environment!'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/railties-6.1.4.1/lib/rails/application.rb:533:in `block in run_tasks_blocks'

/tmp/d20211004-49-w11ipx/opt/openproject/vendor/bundle/ruby/2.7.0/gems/rake-13.0.6/exe/rake:27:in `<top (required)>'

Tasks: TOP => assets:precompile => assets:compile_environment => assets:prepare_op => assets:export_locales => i18n:js:export => environment

(See full trace by running task with --trace)



!

! Precompiling assets failed.

!

! ERROR: compile failed

Failed to package application

tar: This does not look like a tar archive

tar: Exiting with failure status due to previous errors

! FAILED - Build error.

! Please contact support.